sc::LocalTBGrad< T >(3)

NAME
sc::LocalTBGrad< T > -

SYNOPSIS

Inherits sc::TBGrad< T >.

  Public Member Functions
LocalTBGrad (T &t, const Ref< TwoBodyDerivInt > &tbdi, const Ref< PetiteList > &pl, const Ref< GaussianBasisSet > &bs, const Ref< MessageGrp > &g, double *tbg, double pm, double a, int nt=1, int tn=0, double exchange_fraction=1.0)
void run ()
This is called with the Thread is run from a ThreadGrp.

  Public Attributes
double * tbgrad

  Protected Attributes
MessageGrp * grp_
TwoBodyDerivInt * tbi_
GaussianBasisSet * gbs_
PetiteList * rpl_
Molecule * mol_
double pmax_
double accuracy_
int threadno_
int nthread_

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.